Summary: Text based browser for the world wide web
Name: lynx
Version: 2.8.1
Release: 3rh4
Copyright: GPL
Group: Applications/Networking
URL: http://lynx.browser.org
Source0: http://www.slcc.edu/lynx/release2-8-1/lynx2-8-1.tar.gz 
Patch0: lynx2-8-1.RHL.patch
Patch1: lynx2.8.1rel.2-981106.patch
Patch2: lynx2.8.1rel.2-981118.patch
Patch3: lynx2.8.1rel.2-981204.patch
Requires:  slang zlib
BuildRoot: /tmp/%{name}-%{version}-root

# This spec file builds lynx with the slang libraries.  To build with
# ncurses instead, just replace the occurance of slang with ncurses.

%description
Lynx is the most widely used text mode browser on the Internet.  It is a
full-featured browser--there is almost no content on the web that Lynx
cannot retrieve and display, either by itself or by calling on other
software designed for the purpose.  Recent enhancements include frames,
(persistent) cookies and client-side imagemaps, but _not_ tables (or at
least only very limited tables support).

%changelog
* Wed Feb 03 1999 Adrian Hosey <ahosey@systhug.com>
- Applied most recent patches to the 2.8.1 release

* Tue Nov 03 1998 Thomas Ribbrock <emgaron@gmx.net>
- Updated to Lynx 2.8.1
- based on .tar.gz rather than .zip now
- tidied up setup, patch and install
- enabled persistent-cookie support and default-color support

* Fri Mar 20 1998 Andrew Pimlott <pimlott@math.harvard.edu>
- Updated to lynx 2-8!  This required reworking the spec file to use
  autoconf.
- Some of the patches are unnecessary thanks to new autoconf detection
- Reverted the start page to the Lynx home page, instead of redhat.com

* Fri Jul 18 1997 Andrew Pimlott <pimlott@math.harvard.edu>
- Hot off the griddle fotemods
- Latest fotemods broke the Makefile patch--updated patch.
- That note in the description about supporting tables was bugging me, so I
  replaced the entire text with a (modified) blurb from
  http://www.crl.com/~subir/lynx/what.html
- It's nice if the values in lynx.cfg reflect the compiled-in values (from
  userdefs.h), even if they're commented out.  So I did this.
- Changed the command to load images from xli to xv
- Use the local copy of the help file.  Since I didn't want this to break if
  someone excludes docs, I made the help files normal files and put them in
  /usr/share.
- Set the start file to http://www.redhat.com/

* Fri Jun 27 1997 Manoj Kasichainula <manojk@io.com>
- Fixed unquoted RPM_OPT_FLAGS

* Thu Jun 26 1997 Manoj Kasichainula <manojk@io.com>
- Easily slangified
- Simplified patch a bit
- Clean RPM_BUILD_DIR now

* Tue Jun 25 1997 Timo Karjalainen <timok@iki.fi>

- Ditto..

* Thu Jun 19 1997 Timo Karjalainen <timok@iki.fi>

- Some new 'fotemods' :)

* Sat Jun 14 1997 Timo Karjalainen <timok@iki.fi>

- Uses RPM_OPT_FLAGS (they were defined in the specfile but lynx wasn't
  patched to use them)
- Added 'fotemods', modifications made by Fote since v2.7.1
- Some small changes to specfile

* Wed Jun 11 1997 Elliot Lee <sopwith@redhat.com>
- moved lynx.cfg to /etc
- BuildRooted

%prep
%setup -n lynx2-8-1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --libdir=/etc --enable-nsl-fork --with-screen=slang --with-zlib --enable-persistent-cookies --enable-default-colors
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/bin,usr/man/man1,usr/share/lynx}
make install prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT/etc

cp -pr lynx_help $RPM_BUILD_ROOT/usr/share/lynx

%clean

rm -rf $RPM_BUILD_ROOT

%files
%attr(-, root, root) %config /etc/lynx.cfg
%attr(-, root, root) /usr/bin/lynx
%attr(-, root, root) /usr/man/man1/lynx.1
%attr(-, root, root) %doc /usr/share/lynx/lynx_help
%attr(-, root, root) %doc README COPYING COPYHEADER INSTALLATION PROBLEMS
%attr(-, root, root) %doc docs samples test
